function [pCK,nCK,topfeature]=CKSSPselect(window,top,label,tpositive,tnegative)

[PCKSAAP,NCKSAAP,Dletter]=CKSSPcal(window,tpositive,tnegative);
fvector=[PCKSAAP(:,:,1) PCKSAAP(:,:,2) PCKSAAP(:,:,3) PCKSAAP(:,:,4) PCKSAAP(:,:,5);NCKSAAP(:,:,1) NCKSAAP(:,:,2) NCKSAAP(:,:,3) NCKSAAP(:,:,4) NCKSAAP(:,:,5)];
temp1=[];
temp2=[];
temp3=[];
temp4=[];
temp5=[];
for i=1:length(Dletter)
    temp1=[temp1;'0'];
    temp2=[temp2;'1'];
    temp3=[temp3;'2'];
    temp4=[temp4;'3'];
    temp5=[temp5;'4'];
end
topfeature=[Dletter temp1;Dletter temp2;Dletter temp3;Dletter temp4;Dletter temp5];
out1=fsInfoGain(fvector,label);
ind=out1.fList(1:top);
topfeature=topfeature(out1.fList(1:top),:);
n=size(PCKSAAP,1);
pCK=fvector(1:n,ind);
nCK=fvector((n+1):end,ind);